V1.0
post
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/signevaluation/processque
Processes all pending sign evaluation queue records for an entire study and mode asynchronously. Returns immediately after triggering the processing job. No request payload is required. Use this when wishing to bulk process sign evaluations across multiple subjects or forms.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
3FA85F6457174562B3FC2C963F66AFA6
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Sign evaluation queue processing was triggered successfully. Returns a success status.
400 Response
Bad request
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.